{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": "cat",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#cat.cwl/input_file"
                },
                {
                    "type": "string",
                    "id": "#cat.cwl/output_filename"
                }
            ],
            "stdout": "$(inputs.output_filename)",
            "id": "#cat.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_filename)"
                    },
                    "id": "#cat.cwl/output"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "combine_predictions_sql.py"
            ],
            "hints": [
                {
                    "dockerPull": "dukegcb/predict-tf-binding",
                    "class": "DockerRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#combine.cwl/input_files"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#combine.cwl/combined",
                    "outputBinding": {
                        "glob": "3ff1793074c4e42cef15dc8a02d2f4324ec2d027"
                    }
                }
            ],
            "id": "#combine.cwl",
            "stdout": "3ff1793074c4e42cef15dc8a02d2f4324ec2d027"
        },
        {
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "dukegcb/predict-tf-preference",
                    "class": "DockerRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "default": "filtered-preferences.bed",
                    "id": "#filter-tf-preference-threshold.cwl/output_bed_file_name"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#filter-tf-preference-threshold.cwl/prefs_bed_file"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#filter-tf-preference-threshold.cwl/tf1_bed_file"
                },
                {
                    "type": "float",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#filter-tf-preference-threshold.cwl/tf1_threshold"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#filter-tf-preference-threshold.cwl/tf2_bed_file"
                },
                {
                    "type": "float",
                    "inputBinding": {
                        "position": 5
                    },
                    "id": "#filter-tf-preference-threshold.cwl/tf2_threshold"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_bed_file_name)"
                    },
                    "id": "#filter-tf-preference-threshold.cwl/filtered_preferences"
                }
            ],
            "stdout": "$(inputs.output_bed_file_name)",
            "baseCommand": [
                "filter-preference-threshold.py",
                "--spaces"
            ],
            "id": "#filter-tf-preference-threshold.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "predict_tf_binding.py",
            "hints": [
                {
                    "dockerPull": "dukegcb/predict-tf-binding",
                    "class": "DockerRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "--chroms",
                        "itemSeparator": " ",
                        "separate": true
                    },
                    "id": "#predict-tf-binding.cwl/chroms"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "inputBinding": {
                        "prefix": "-c"
                    },
                    "id": "#predict-tf-binding.cwl/core"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--core-start"
                    },
                    "id": "#predict-tf-binding.cwl/core_start"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "int"
                    },
                    "inputBinding": {
                        "prefix": "-k"
                    },
                    "id": "#predict-tf-binding.cwl/kmers"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "prefix": "-m"
                    },
                    "id": "#predict-tf-binding.cwl/model"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-s"
                    },
                    "id": "#predict-tf-binding.cwl/sequence"
                },
                {
                    "type": "boolean",
                    "default": true,
                    "inputBinding": {
                        "prefix": "--skip-size-check"
                    },
                    "id": "#predict-tf-binding.cwl/skip_size_check"
                },
                {
                    "type": "boolean",
                    "default": false,
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#predict-tf-binding.cwl/slope_intercept"
                },
                {
                    "type": "boolean",
                    "default": false,
                    "inputBinding": {
                        "prefix": "-t"
                    },
                    "id": "#predict-tf-binding.cwl/transform"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-w"
                    },
                    "id": "#predict-tf-binding.cwl/width"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "predict_output_*.bed"
                    },
                    "id": "#predict-tf-binding.cwl/predictions"
                }
            ],
            "id": "#predict-tf-binding.cwl"
        },
        {
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "dukegcb/predict-tf-preference",
                    "class": "DockerRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "default": "preferences.bed",
                    "inputBinding": {
                        "position": 5
                    },
                    "id": "#predict-tf-preference.cwl/output_filename"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#predict-tf-preference.cwl/tf1"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#predict-tf-preference.cwl/tf1_bed_file"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#predict-tf-preference.cwl/tf2"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#predict-tf-preference.cwl/tf2_bed_file"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_filename)"
                    },
                    "id": "#predict-tf-preference.cwl/preferences"
                }
            ],
            "baseCommand": "predict-tf-preference.R",
            "id": "#predict-tf-preference.cwl"
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/core_start"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/cores"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "int"
                    },
                    "id": "#main/kmers"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#main/models1"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#main/models2"
                },
                {
                    "type": "string",
                    "id": "#main/output_filename"
                },
                {
                    "type": "File",
                    "id": "#main/sequence"
                },
                {
                    "type": "boolean",
                    "id": "#main/slope_intercept"
                },
                {
                    "type": "string",
                    "id": "#main/tf1"
                },
                {
                    "type": "float",
                    "id": "#main/tf1_threshold"
                },
                {
                    "type": "string",
                    "id": "#main/tf2"
                },
                {
                    "type": "float",
                    "id": "#main/tf2_threshold"
                },
                {
                    "type": "boolean",
                    "id": "#main/transform"
                },
                {
                    "type": "int",
                    "id": "#main/width"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/name_output/output",
                    "id": "#main/preferences"
                }
            ],
            "steps": [
                {
                    "run": "#combine.cwl",
                    "in": [
                        {
                            "source": "#main/predict1/predictions",
                            "id": "#main/combine1/input_files"
                        }
                    ],
                    "out": [
                        "#main/combine1/combined"
                    ],
                    "id": "#main/combine1"
                },
                {
                    "run": "#combine.cwl",
                    "in": [
                        {
                            "source": "#main/predict2/predictions",
                            "id": "#main/combine2/input_files"
                        }
                    ],
                    "out": [
                        "#main/combine2/combined"
                    ],
                    "id": "#main/combine2"
                },
                {
                    "run": "#filter-tf-preference-threshold.cwl",
                    "in": [
                        {
                            "source": "#main/preference/preferences",
                            "id": "#main/filter/prefs_bed_file"
                        },
                        {
                            "source": "#main/combine1/combined",
                            "id": "#main/filter/tf1_bed_file"
                        },
                        {
                            "source": "#main/tf1_threshold",
                            "id": "#main/filter/tf1_threshold"
                        },
                        {
                            "source": "#main/combine2/combined",
                            "id": "#main/filter/tf2_bed_file"
                        },
                        {
                            "source": "#main/tf2_threshold",
                            "id": "#main/filter/tf2_threshold"
                        }
                    ],
                    "out": [
                        "#main/filter/filtered_preferences"
                    ],
                    "id": "#main/filter"
                },
                {
                    "run": "#cat.cwl",
                    "in": [
                        {
                            "source": "#main/filter/filtered_preferences",
                            "id": "#main/name_output/input_file"
                        },
                        {
                            "source": "#main/output_filename",
                            "id": "#main/name_output/output_filename"
                        }
                    ],
                    "out": [
                        "#main/name_output/output"
                    ],
                    "id": "#main/name_output"
                },
                {
                    "run": "#predict-tf-binding.cwl",
                    "in": [
                        {
                            "source": "#main/cores",
                            "id": "#main/predict1/core"
                        },
                        {
                            "source": "#main/core_start",
                            "id": "#main/predict1/core_start"
                        },
                        {
                            "source": "#main/kmers",
                            "id": "#main/predict1/kmers"
                        },
                        {
                            "source": "#main/models1",
                            "id": "#main/predict1/model"
                        },
                        {
                            "source": "#main/sequence",
                            "id": "#main/predict1/sequence"
                        },
                        {
                            "source": "#main/slope_intercept",
                            "id": "#main/predict1/slope_intercept"
                        },
                        {
                            "source": "#main/transform",
                            "id": "#main/predict1/transform"
                        },
                        {
                            "source": "#main/width",
                            "id": "#main/predict1/width"
                        }
                    ],
                    "out": [
                        "#main/predict1/predictions"
                    ],
                    "id": "#main/predict1"
                },
                {
                    "run": "#predict-tf-binding.cwl",
                    "in": [
                        {
                            "source": "#main/cores",
                            "id": "#main/predict2/core"
                        },
                        {
                            "source": "#main/core_start",
                            "id": "#main/predict2/core_start"
                        },
                        {
                            "source": "#main/kmers",
                            "id": "#main/predict2/kmers"
                        },
                        {
                            "source": "#main/models2",
                            "id": "#main/predict2/model"
                        },
                        {
                            "source": "#main/sequence",
                            "id": "#main/predict2/sequence"
                        },
                        {
                            "source": "#main/slope_intercept",
                            "id": "#main/predict2/slope_intercept"
                        },
                        {
                            "source": "#main/transform",
                            "id": "#main/predict2/transform"
                        },
                        {
                            "source": "#main/width",
                            "id": "#main/predict2/width"
                        }
                    ],
                    "out": [
                        "#main/predict2/predictions"
                    ],
                    "id": "#main/predict2"
                },
                {
                    "run": "#predict-tf-preference.cwl",
                    "in": [
                        {
                            "source": "#main/tf1",
                            "id": "#main/preference/tf1"
                        },
                        {
                            "source": "#main/combine1/combined",
                            "id": "#main/preference/tf1_bed_file"
                        },
                        {
                            "source": "#main/tf2",
                            "id": "#main/preference/tf2"
                        },
                        {
                            "source": "#main/combine2/combined",
                            "id": "#main/preference/tf2_bed_file"
                        }
                    ],
                    "out": [
                        "#main/preference/preferences"
                    ],
                    "id": "#main/preference"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
